Update Existing Sections in a Policy

PUT /pcas/v3/policy/section/

With this API, you can update sections within a compliance policy.

Input ParametersInput Parameters

Parameter

Required/Optional

Data Type

Description

policyId={value} Required Integer The ID of the policy for which you want to update a section.
sectionNumber={value} Required Integer Enter the section number for which you want to update details.
sectionHeading={value} Required String Specify the title for the section to be updated for the policy.

Sample - Update an existing section in the policySample - Update an existing section in the policy

API Request

curl -X 'PUT' \
'<qualys_base_url>/pcas/v3/policy/section' \
-H 'accept: */*' \
-H 'Authorization: Bearer 'Auth_Token'\
-H 'Content-Type: application/json' \
-d '{"policyId": 5656121,"sectionNumber": 2,"sectionHeading": "section66"}'

XML Output

204


 

 

 

success Thank you! We're glad to hear that this topic was useful.
success We appreciate your feedback. We'll work to make this topic better for you in the future.